Files
openfe/devtools/debug_openmm.sh
Mike Henry e8492ea43c debug script for people to test openmm (#733)
* debug script for people to test openmm

* Added news entry

* added checking which platforms can do mixed p

* fix typo in debug script

* added how to run script

* point to new showcase

* give full path to assests to avoid copying notebooking into build env

* rerun ci

* fix mypy env

* looks like we still need to pin mypy but can relax python

---------

Co-authored-by: Irfan Alibay <IAlibay@users.noreply.github.com>
2024-05-06 12:57:29 -07:00

32 lines
929 B
Bash
Executable File

#!/usr/bin/env bash
echo "Run this script with your conda env activated"
echo "Invoke the script like this: "
echo "./debug_openmm.sh | tee -a debug.log"
echo "Then send us debug.log"
set -euo pipefail
date
which -a python
conda info -a || echo "no conda"
mamba info -a || echo "no mamba"
micromamba info || echo "no micromamba"
nvidia-smi || echo "no nvidia-smi, are you on a gpu node?"
echo "test openmm"
python -m openmm.testInstallation || echo "testing openmm"
echo "checking plugin load failures"
python -c "import openmm; print(openmm.Platform.getPluginLoadFailures())" || echo "plugin load failures"
echo "checking which platforms support mixed precision"
python -c "import openmmtools; [print(_.getName()) for _ in openmmtools.utils.get_available_platforms(minimum_precision='mixed')]" || echo "openmm errors"
conda list || echo "no conda"
mamba list || echo "no mamba"
micromamba list || echo "no micromamba"